left touchpad button stopped working in 3.16.0-22.19

Bug #1381815 reported by Julian Taylor on 2014-10-15
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Andy Whitcroft
Trusty
High
Unassigned

Bug Description

the left touchpad button of my lenovo g50 laptop stopped working in the kernel upgrade 3.16.0-22 #29
The rest of the touchpad and the right button are still working.
the previous kernel version #27 worked fine

I have tried the mainline kernels and it is also affected from version 3.16.4 up to including the latest available ne 3.17.1.
mainline kernel 3.16.3 works.

ProblemType: Bug
DistroRelease: Ubuntu 14.10
Package: linux-image-3.16.0-22-generic 3.16.0-22.29
ProcVersionSignature: Ubuntu 3.16.0-22.29-generic 3.16.4
Uname: Linux 3.16.0-22-generic x86_64
ApportVersion: 2.14.7-0ubuntu5
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: jtaylor 3144 F.... pulseaudio
 /dev/snd/controlC1: jtaylor 3144 F.... pulseaudio
CurrentDesktop: Unity
Date: Thu Oct 16 01:39:27 2014
HibernationDevice: RESUME=UUID=86457fb1-d8f8-46e4-9ad2-c85d69ec96f7
InstallationDate: Installed on 2014-08-23 (53 days ago)
InstallationMedia: Ubuntu 14.10 "Utopic Unicorn" - Alpha amd64 (20140822)
MachineType: LENOVO 20351
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.16.0-22-generic root=/dev/mapper/ubuntu--vg-root ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.16.0-22-generic N/A
 linux-backports-modules-3.16.0-22-generic N/A
 linux-firmware 1.135
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 04/02/2014
dmi.bios.vendor: LENOVO
dmi.bios.version: 9ACN25WW
dmi.board.asset.tag: No Asset Tag
dmi.board.name: Lancer 5A2
dmi.board.vendor: LENOVO
dmi.board.version: NANANANANO DPK
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Lenovo G50-70
dmi.modalias: dmi:bvnLENOVO:bvr9ACN25WW:bd04/02/2014:svnLENOVO:pn20351:pvrLenovoG50-70:rvnLENOVO:rnLancer5A2:rvrNANANANANODPK:cvnLENOVO:ct10:cvrLenovoG50-70:
dmi.product.name: 20351
dmi.product.version: Lenovo G50-70
dmi.sys.vendor: LENOVO

Julian Taylor (jtaylor) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Julian Taylor (jtaylor) wrote :

I'm suspecting commit 5715fc764f7753d464dbe094b5ef9cffa6e479a4 is behind the issue, the kernel now thinks I have a forcepad which I don't
the commit has been backported to trusty and I can confirm it affects 3.13.8 but not 3.13.7

Julian Taylor (jtaylor) wrote :

touchpad info in dmesg:
[ 2.136673] psmouse serio1: synaptics: Touchpad model: 1, fw: 8.1, id: 0x1e2b1, caps: 0xd00123/0x840300/0x2a800, board id: 2848, fw id: 1581875

whosawhatcha (somebodeeze) wrote :

I have the same problem on the exact computer make/model. USB mouse works 100%, but the left button on my touchpad has stopped working after I upgraded the kernel.

Andy Whitcroft (apw) on 2014-10-20
Changed in linux (Ubuntu Trusty):
status: New → Confirmed
Changed in linux (Ubuntu):
importance: Undecided → High
Changed in linux (Ubuntu Trusty):
importance: Undecided → High
Changed in linux (Ubuntu):
assignee: nobody → Andy Whitcroft (apw)
Andy Whitcroft (apw) wrote :

It looks like the following commit is intended to be the fix for this:

  commit aa972409951e0675e07918620427517cad5090e0
  Author: Dmitry Torokhov <email address hidden>
  Date: Tue Sep 2 09:49:18 2014 -0700

    Input: synaptics - gate forcepad support by DMI check

Andy Whitcroft (apw) wrote :

This fix is marked for stable, so we should expect this to be backported there for v3.13 shortly. I will look at getting this into Utopic before release.

Andy Whitcroft (apw) wrote :

Ok I have produced some 14.10 (utopic) kernels with this proposed fix applied. If someone could urgently test these and report back we should be able to get this into the release. Kernels are at the URL below:

    http://people.canonical.com/~apw/lp1381815-utopic/

Please report any testing back here.

Julian Taylor (jtaylor) wrote :

the kernel fixes the touchpad button issue, but also don't have any network with it.
network works fine in the current utopic kernel -22.29

Julian Taylor (jtaylor) wrote :

ups, didn't install the extras package. With it installed everything seems to work alright.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.16.0-23.31

---------------
linux (3.16.0-23.31) utopic; urgency=low

  [ Andy Whitcroft ]

  * Release Tracking Bug
    - LP: #1383784

  [ Upstream Kernel Changes ]

  * Input: synaptics - gate forcepad support by DMI check
    - LP: #1381815
 -- Andy Whitcroft <email address hidden> Tue, 21 Oct 2014 16:49:12 +0100

Changed in linux (Ubuntu):
status: Confirmed → Fix Released
Luis Henriques (henrix) on 2014-10-28
Changed in linux (Ubuntu Trusty):
status: Confirmed → Fix Committed
Launchpad Janitor (janitor) wrote :
Download full text (10.4 KiB)

This bug was fixed in the package linux - 3.13.0-39.66

---------------
linux (3.13.0-39.66) trusty; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1386629

  [ Upstream Kernel Changes ]

  * KVM: x86: Check non-canonical addresses upon WRMSR
    - LP: #1384539
    - CVE-2014-3610
  * KVM: x86: Prevent host from panicking on shared MSR writes.
    - LP: #1384539
    - CVE-2014-3610
  * KVM: x86: Improve thread safety in pit
    - LP: #1384540
    - CVE-2014-3611
  * KVM: x86: Fix wrong masking on relative jump/call
    - LP: #1384545
    - CVE-2014-3647
  * KVM: x86: Warn if guest virtual address space is not 48-bits
    - LP: #1384545
    - CVE-2014-3647
  * KVM: x86: Emulator fixes for eip canonical checks on near branches
    - LP: #1384545
    - CVE-2014-3647
  * KVM: x86: emulating descriptor load misses long-mode case
    - LP: #1384545
    - CVE-2014-3647
  * KVM: x86: Handle errors when RIP is set during far jumps
    - LP: #1384545
    - CVE-2014-3647
  * kvm: vmx: handle invvpid vm exit gracefully
    - LP: #1384544
    - CVE-2014-3646
  * Input: synaptics - gate forcepad support by DMI check
    - LP: #1381815

linux (3.13.0-38.65) trusty; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1379244

  [ Andy Whitcroft ]

  * Revert "SAUCE: scsi: hyper-v storsvc switch up to SPC-3"
    - LP: #1354397
  * [Config] linux-image-extra is additive to linux-image
    - LP: #1375310
  * [Config] linux-image-extra postrm is not needed on purge
    - LP: #1375310

  [ Upstream Kernel Changes ]

  * Revert "KVM: x86: Increase the number of fixed MTRR regs to 10"
    - LP: #1377564
  * Revert "USB: option,zte_ev: move most ZTE CDMA devices to zte_ev"
    - LP: #1377564
  * aufs: bugfix, stop calling security_mmap_file() again
    - LP: #1371316
  * ipvs: fix ipv6 hook registration for local replies
    - LP: #1349768
  * Drivers: add blist flags
    - LP: #1354397
  * sd: fix a bug in deriving the FLUSH_TIMEOUT from the basic I/O timeout
    - LP: #1354397
  * drm/i915/bdw: Add 42ms delay for IPS disable
    - LP: #1374389
  * drm/i915: add null render states for gen6, gen7 and gen8
    - LP: #1374389
  * drm/i915/bdw: 3D_CHICKEN3 has write mask bits
    - LP: #1374389
  * drm/i915/bdw: Disable idle DOP clock gating
    - LP: #1374389
  * drm/i915: call lpt_init_clock_gating on BDW too
    - LP: #1374389
  * drm/i915: shuffle panel code
    - LP: #1374389
  * drm/i915: extract backlight minimum brightness from VBT
    - LP: #1374389
  * drm/i915: respect the VBT minimum backlight brightness
    - LP: #1374389
  * drm/i915/bdw: Apply workarounds in render ring init function
    - LP: #1374389
  * drm/i915/bdw: Cleanup pre prod workarounds
    - LP: #1374389
  * drm/i915: Replace hardcoded cacheline size with macro
    - LP: #1374389
  * drm/i915: Refactor Broadwell PIPE_CONTROL emission into a helper.
    - LP: #1374389
  * drm/i915: Add the WaCsStallBeforeStateCacheInvalidate:bdw workaround.
    - LP: #1374389
  * drm/i915/bdw: Remove BDW preproduction W/As until C stepping.
    - LP: #1374389
  * mptfusion: enable no_write_same for vmware scsi disks
    - LP: #1371591
  * iommu/amd: Fix cleanup_domai...

Changed in linux (Ubuntu Trusty):
status: Fix Committed → Fix Released
whosawhatcha (somebodeeze) wrote :

I'm sorry about my inexperience. But I've never applied a patch/fix manually. Could someone give me info on how to apply this fix? In case you need it, I'm using kernel 3.17.1

Thanks in advance.

Julian Taylor (jtaylor) wrote :

the regular trusty kernel has the fix applied so you should not need to do any patching, just install the kernel from the repository.

whosawhatcha (somebodeeze) wrote :

So, just reinstall 3.17.1 ?

Julian Taylor (jtaylor) wrote :

no 3.17.1 is not the utopic kernel, you need to install the regular ubuntu kernel which should be linux-image-3.16.0-24-generic

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers